Bug 322291 - rps-10 fence agent does not perform default reboot action
rps-10 fence agent does not perform default reboot action
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Friesse
Cluster QE
:
Depends On:
Blocks: 472885
  Show dependency treegraph
 
Reported: 2007-10-07 12:44 EDT by Ben Yarwood
Modified: 2009-09-02 07:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Non existing default option Consequence: Default action was not reboot Fix: Make default action to be reboot Result: Default action is now reboot
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:09:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing this bug. (1.43 KB, patch)
2008-11-25 06:07 EST, Jan Friesse
no flags Details | Diff

  None (edit)
Description Ben Yarwood 2007-10-07 12:44:04 EDT
Description of problem:

The rps-10 fence agent does not perform the default reboot action when run.  If
no "option" attribute is specified in the <fencedevice> node of the cluster
configuration then the error "failed: operation must be 'on', 'off', or 'reboot'
is returned when the agent runs.

Version-Release number of selected component (if applicable):

fence_rps10 2.0.64
Comment 1 Jan Friesse 2008-11-25 06:07:58 EST
Created attachment 324589 [details]
Patch fixing this bug.

This patch long lives in master/STABLE2 branch, but never arrive to RHEL5. It's originally created by Lon Hohberger.
Comment 4 Jan Friesse 2009-05-19 03:47:30 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause: Developer
Consequence: Default action was not reboot
Fix: Make default action to be reboot
Result: Default action is now reboot
Comment 5 Jan Friesse 2009-05-19 03:54:51 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,4 +1,4 @@
-Cause: Developer
+Cause: Non existing default option
 Consequence: Default action was not reboot
 Fix: Make default action to be reboot
 Result: Default action is now reboot
Comment 7 errata-xmlrpc 2009-09-02 07:09:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1341.html

Note You need to log in before you can comment on or make changes to this bug.